<?php
/**
 * @author    Webarian Team
 * @copyright Copyright (c) 2020 Webarian (https://www.webariansoftwares.com/)
 * @package   Webarian_PromoPopup
 */
namespace Webarian\Workshop\Api\Data;

interface WorkshopInterface
{
	/**#@+
	 * Constants for keys of data array. Identical to the name of the getter in snake case
	 */
	const WORKSHOP_ID  = 'workshop_id';
	const TITLE  = 'title';
	const DATE  = 'date';
	const DURATION  = 'duration';
	const AGE  = 'age';
	const PRICE  = 'price';
	const ADDRESS  = 'address';
	const PRODUCT_ID  = 'product_id';
	const STATUS  = 'status';
	

	public function getWorkshopId();
	public function getTitle();
	public function getDate();
	public function getDuration();
	public function getAge();
	public function getPrice();
	public function getAddress();
	public function getProductId();
	public function getStatus();

	public function setWorkshopId($workshopId);
	public function setTitle($title);
	public function setDate($date);
	public function setDuration($duration);
	public function setAge($age);
	public function setPrice($price);
	public function setAddress($address);
	public function setProductId($productId);
	public function setStatus($status);	

}